package com.seer.teach.netty.im.handler.mq.impl.commonand;

import com.seer.teach.common.dto.mq.StringDTO;
import com.seer.teach.common.enums.im.LargeModuleTopTagEnum;
import com.seer.teach.common.enums.MessagePushStatusEnums;
import com.seer.teach.netty.common.proto.MessageType;
import com.seer.teach.netty.im.handler.mq.ImCommandHandler;
import com.seer.teach.netty.im.utils.ImUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

/**
 * <p>
 *
 * </p>
 *
 * @author Captain
 * @since 2025-07-24 11:47
 */
@Slf4j
@Component
public class EnterAiCorrectionHandler implements ImCommandHandler<StringDTO> {
    @Override
    public void handle(StringDTO messageBody, String device) {
        ImUtils.pushSingleChatToDeviceWithAck(device, MessagePushStatusEnums.SUCCESS.getCode(), MessageType.MessageContentType.ENTER_AI_CORRECTION.getMsgContentType(), "");
    }

    @Override
    public Class<StringDTO> getType() {
        return StringDTO.class;
    }

    @Override
    public String getTag() {
        return LargeModuleTopTagEnum.ENTER_AI_CORRECTION.getTag();
    }
}
